/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.visual
 * File:    IpAddressPanel2.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.visual;

import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.GridLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.ButtonGroup;

import javax.swing.WindowConstants;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTextField;

/**
* This code was edited or generated using CloudGarden's Jigloo
* SWT/Swing GUI Builder, which is free for non-commercial
* use. If Jigloo is being used commercially (ie, by a corporation,
* company or business for any purpose whatever) then you
* should purchase a license for each developer using Jigloo.
* Please visit www.cloudgarden.com for details.
* Use of Jigloo implies acceptance of these licensing terms.
* A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED FOR
* THIS MACHINE, SO JIGLOO OR THIS CODE CANNOT BE USED
* LEGALLY FOR ANY CORPORATE OR COMMERCIAL PURPOSE.
*/
public class IpAddressPanel2 extends javax.swing.JPanel {
	JRadioButton ipAddressRadioButton;
	private JRadioButton jRadioButton4;
	JTextField ipAddressField;
	private JLabel jLabel2;
	private ButtonGroup buttonGroup1;
	private JTextField jTextField5;
	private JTextField jTextField3;
	private JLabel jLabel1;
	private JTextField jTextField4;
	private JTextField jTextField2;
	private JRadioButton jRadioButton2;
	
	/**
	* Auto-generated main method to display this 
	* JPanel inside a new JFrame.
	*/
	public static void main(String[] args) {
		JFrame frame = new JFrame();
		frame.getContentPane().add(new IpAddressPanel2());
		frame.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
		frame.pack();
		frame.setVisible(true);
	}
	
	public IpAddressPanel2() {
		super();
		initGUI();
	}
	
	private void initGUI() {
		try {
			GridBagLayout thisLayout = new GridBagLayout();
			thisLayout.rowWeights = new double[] {0.1, 0.1, 0.1};
			thisLayout.rowHeights = new int[] {7, 7, 7};
			thisLayout.columnWeights = new double[] {0.0, 0.0, 0.1, 0.0, 0.0, 0.0, 0.0, 0.0};
			thisLayout.columnWidths = new int[] {-1, 183, 7, 12, 39, 12, 42, -1};
			this.setLayout(thisLayout);
			this.setPreferredSize(new java.awt.Dimension(373, 109));
			{
				ipAddressRadioButton = new JRadioButton();
				this.add(ipAddressRadioButton, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
				ipAddressRadioButton.setText("Ip");				
				ipAddressRadioButton.addActionListener(new ActionListener() {
					
					@Override
					public void actionPerformed(ActionEvent arg0) {
						ipAddressField.setEnabled(true);
						jTextField2.setEnabled(false);
						jTextField3.setEnabled(false);
						jTextField4.setEnabled(false);
						jTextField5.setEnabled(false);						
					}
				});				
				getButtonGroup1().add(ipAddressRadioButton);				
			}
			{
				jRadioButton2 = new JRadioButton();
				jRadioButton2.addActionListener(new ActionListener() {
					
					@Override
					public void actionPerformed(ActionEvent arg0) {
						ipAddressField.setEnabled(false);
						jTextField2.setEnabled(true);
						jTextField3.setEnabled(true);
						jTextField4.setEnabled(false);
						jTextField5.setEnabled(true);						
					}
				});
				this.add(jRadioButton2, new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
				jRadioButton2.setText("Ip-Range");
				jRadioButton2.setEnabled(false);
				getButtonGroup1().add(jRadioButton2);
			}
			{
				jRadioButton4 = new JRadioButton();
				jRadioButton4.addActionListener(new ActionListener() {
					
					@Override
					public void actionPerformed(ActionEvent arg0) {
						ipAddressField.setEnabled(false);
						jTextField2.setEnabled(false);
						jTextField3.setEnabled(false);
						jTextField4.setEnabled(true);
						jTextField5.setEnabled(false);						
					}
				});
				this.add(jRadioButton4, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
				jRadioButton4.setText("IPv6");
				jRadioButton4.setEnabled(false);
				getButtonGroup1().add(jRadioButton4);
			}
			{
				ipAddressField = new JTextField();				
				this.add(ipAddressField, new GridBagConstraints(1, 0, 2, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
				ipAddressField.addMouseListener(new MouseAdapter() {
					public void mouseExited(MouseEvent evt) {
						ipAddressField.setCursor(new Cursor(Cursor.DEFAULT_CURSOR));						
					}
					public void mouseEntered(MouseEvent evt) {
						ipAddressField.setCursor(new Cursor(Cursor.TEXT_CURSOR));						
					}
				});
			}
			{
				jTextField2 = new JTextField();
				this.add(jTextField2, new GridBagConstraints(1, 1, 2, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
			}
			{
				jTextField4 = new JTextField();
				this.add(jTextField4, new GridBagConstraints(1, 2, 6, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 5), 0, 0));
			}
			{
				jLabel1 = new JLabel();
				this.add(jLabel1, new GridBagConstraints(3, 1, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
				jLabel1.setText(".");
			}
			{
				jTextField3 = new JTextField();
				this.add(jTextField3, new GridBagConstraints(4, 1, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
			}
			{
				jLabel2 = new JLabel();
				this.add(jLabel2, new GridBagConstraints(5, 1, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
				jLabel2.setText("-");
			}
			{
				jTextField5 = new JTextField();
				this.add(jTextField5, new GridBagConstraints(6, 1, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 5), 0, 0));
				jTextField5.setSize(42, 28);
			}
			ipAddressRadioButton.doClick();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	private ButtonGroup getButtonGroup1() {
		if(buttonGroup1 == null) {
			buttonGroup1 = new ButtonGroup();
		}
		return buttonGroup1;
	}

}
